Bug 41543 - exception when webserver returns "500 Internal Server Error" and content-lenght is 0
exception when webserver returns "500 Internal Server Error" and content-leng...
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.2
All Windows XP
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-02-05 07:07 UTC by Christoph
Modified: 2012-06-27 15:51 UTC (History)
1 user (show)



Attachments
Patch for this bug (4.58 KB, patch)
2007-02-05 07:09 UTC, Christoph
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph 2007-02-05 07:07:02 UTC
If a server returns a http-response 500 Internal Server Error and the content-
lenght is 0 then JMeter throws a Java Exception instead of returning the error 
code 500. This results in 'non HTTP response' messages to be shown.
Comment 1 Christoph 2007-02-05 07:09:52 UTC
Created attachment 19515 [details]
Patch for this bug

We generated a JMeter patch, which results in the expected behaviour.
Comment 2 Sebb 2007-02-05 14:37:06 UTC
Thanks for the patch; I've applied it.

Does the same problem occur with the HttpClient sampler?
Comment 3 Christoph 2007-02-08 01:17:31 UTC
(In reply to comment #2)
> Thanks for the patch; I've applied it.
> Does the same problem occur with the HttpClient sampler?

i'm sorry but i don't really know if the problem also occurs with the 
httpclient... we just use the java httpsampler and we needed to patch this bug
Comment 4 Sebb 2007-02-08 02:23:02 UTC
OK - no problem.

If you do end up using HttpClient instead and it shows the same problem, please 
update the bug (or open a new one) - thanks!